%global         momorel 2

Name:           perl-HTTP-CookieJar
Version:        0.006
Release:        %{momorel}m%{?dist}
Summary:        Minimalist HTTP user agent cookie jar
License:        "Apache Software License"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-CookieJar/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/HTTP-CookieJar-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-0.005-perlver.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= v5.10.0
BuildRequires:  perl-Carp
BuildRequires:  perl-Cwd
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-HTTP-Date
BuildRequires:  perl-List-Util
BuildRequires:  perl-Mozilla-PublicSuffix
BuildRequires:  perl-parent
BuildRequires:  perl-Test-Deep
BuildRequires:  perl-Test-Simple >= 0.96
BuildRequires:  perl-Test-Requires
BuildRequires:  perl-Time-Local >= 1.1901
BuildRequires:  perl-Time-Mock
BuildRequires:  perl-URI
Requires:       perl-Carp
Requires:       perl-HTTP-Date
Requires:       perl-Mozilla-PublicSuffix
Requires:       perl-parent
Requires:       perl-Time-Local >= 1.1901
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module implements a minimalist HTTP user agent cookie jar in
conformance with RFC 6265.

%prep
%setup -q -n HTTP-CookieJar-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING dist.ini LICENSE META.json perlcritic.rc README tidyall.ini
%{perl_vendorlib}/HTTP/CookieJar
%{perl_vendorlib}/HTTP/CookieJar.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-2m)
- rebuild against perl-5.20.0

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-1m)
- update to 0.006

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.005-2m)
- rebuild against perl-5.18.2

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.005-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
